Package com.arms.api.report.mail.service.mail

## Interface MailService

- All Known Implementing Classes:
    `MailServiceImpl`

      public interface MailService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.mail.javamail.JavaMailSenderImpl` | `createMailSender​(SenderEntity smtpConfig)` |
    `java.lang.String` | `fetchHtmlData()` |
    `java.lang.String` | `generateChartImage()` |
    `SenderEntity` | `getSenderConfig()` |
    `java.util.List<EmailSendResult>` | `sendEmailsToAllUsers()` |
    `EmailSendResult` | `sendTestEmail​(java.lang.String userEmail)` |
    `java.util.List<EmailSendResult>` | `sendTestEmailsToAllUsers()` |
    `EmailSendResult` | `validateSmtpConfig​(SenderDTO senderDTO)` |

- - ### Method Detail

    - #### validateSmtpConfig

          EmailSendResult validateSmtpConfig​(SenderDTO senderDTO)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendTestEmailsToAllUsers

          java.util.List<EmailSendResult> sendTestEmailsToAllUsers()
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendTestEmail

          EmailSendResult sendTestEmail​(java.lang.String userEmail)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### sendEmailsToAllUsers

          java.util.List<EmailSendResult> sendEmailsToAllUsers()
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createMailSender

          org.springframework.mail.javamail.JavaMailSenderImpl createMailSender​(SenderEntity smtpConfig)

    - #### fetchHtmlData

          java.lang.String fetchHtmlData()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### generateChartImage

          java.lang.String generateChartImage()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSenderConfig

          SenderEntity getSenderConfig()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`